USERDEL(8)

NAME
userdel - remove a user from the system

SYNOPSIS
[-D] [-p preserve-value]
[-p] [-r] [-v] user

DESCRIPTION
The userdel utility removes a user from the system, optionally removing that user's home diretory and any subdirectories.

The first format of the command shown above (utilising the -D option) sets and displays the defaults for the userdel utility.

-D  without any further options, -D will show the current defaults which will be used by the userdel utility. Together with one of the options shown for the first version of the command, -D will set the default to be the new value.

-p preserve-value
    sets the preservation value. If this value is one of "true", "false", or a non-zero number, then the user login information will be preserved.

The following command line options are recognised:

-p  preserve the user information in the password file, but do not allow the user to login, by switching the password to an "impossible" one, and by setting the user's shell the the false(1) program. This option can be helpful in preserving a user's files for later use by members of that person's group after the user has moved on. This value can also be set in the /etc/usermgmt.conf file, using the "preserve" field. If the field has any of the values "true", "yes", or a non-zero number, then user information preservation will take place.

-r  remove the user's home directory, any subdirectories, and any files and other entries in them.

-v  perform any actions in a verbose manner.

The userdel utility exits 0 on success, and >0 if an error occurs.

HISTORY
The userdel utility first appeared in NetBSD 1.5. It is based on the addnerd package by the same author.

AUTHOR
The userdel utility was written by Alistair G. Crooks (agc@netbsd.org).

SEE ALSO
false(1), passwd(5), /etc/usermgmt.conf